Bug 1298268 - Add option to choose default public network interface
Add option to choose default public network interface
Status: CLOSED CURRENTRELEASE
Product: Red Hat Quickstart Cloud Installer
Classification: Red Hat
Component: doc-Installation_Guide (Show other bugs)
1.0
Unspecified Unspecified
unspecified Severity medium
: ga
: 1.0
Assigned To: Jason Montleon
Dave Johnson
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-13 11:06 EST by Antonin Pagac
Modified: 2016-07-25 14:36 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-25 14:36:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Antonin Pagac 2016-01-13 11:06:49 EST
Description of problem:
The default public network interface when installing from ISO is now set to eth0. This could cause problems when the machine is connected to the public network via different interface. We should probably implement some kind of option for the user to choose the default public network interface.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Thom Carlin 2016-01-13 12:28:50 EST
Changing to doc bz.  

The solution is to specify the interface as follows:
1) Determine the MAC address (and associated interface [ethx])
2) During ISO boot, navigate to Install ... ISO
3) Press Tab
4) Append ip=ethx:dhcp::mac_address
   * The MAC address should use lowercase alphabetical characters
   * The MAC address should not use separators (e.g. dashes or colons)
5) Press enter to boot and complete as usual
Comment 2 Julie 2016-04-04 21:43:11 EDT
I think this only applies to the OSP Installer. I believe you can select the interface for the QCI Installer. Will need to check when I install it again next time.
Comment 8 Jason Montleon 2016-07-25 14:36:15 EDT
We no longer start any interfaces and do not expect any interfaces to be started. This should not be necessary.

Note You need to log in before you can comment on or make changes to this bug.